Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1881268 - Image uploading failed but wizard claim the source is available
Summary: Image uploading failed but wizard claim the source is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-22 02:26 UTC by Guohua Ouyang
Modified: 2021-02-24 15:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:18:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7458 0 None closed Bug 1881268: Image uploading failed but wizard claim the source 2020-12-14 08:27:15 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:20:57 UTC

Description Guohua Ouyang 2020-09-22 02:26:05 UTC
Description of problem:
When image upload is failed with 'Data Volume failed to initiate upload', the DV and PVC is created in 'pending' status anyway, and on wizard general step, select the target OS, it shows `Source available`. 

Suggestion:
1. I guess cdi don't have the ability to delete the pvc/dv once image uploading is failed, on UI, it maybe alert user need to delete the pvd/dv manually.
2. On wizard, it should not claim the source is available if pvc/dv is pending.

Version-Release number of selected component (if applicable):
master

How reproducible:


Steps to Reproduce:
1. When image uploading is failed with 'Data Volume failed to initiate upload'
2. Check PVC/DV
3. Check wizard

Actual results:
DV/PVC is created even with upload failed.
UI claim the source is available

Expected results:
If upload failed, it should clean the PVC/DV or alert user need to clean it manually, and UI should not claim the source is available.

Additional info:

Comment 2 Guohua Ouyang 2020-12-16 03:24:45 UTC
verified on 4.7.0-0.nightly-2020-12-13-202314

Comment 5 errata-xmlrpc 2021-02-24 15:18:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.